package cn.cecep.talroad.mapper.effective;

import cn.cecep.talroad.domain.effective.MGovernanceTechnologyEstimateFactory;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface MGovernanceTechnologyEstimateFactoryMapper extends BaseMapper<MGovernanceTechnologyEstimateFactory> {
    int updateBatch(List<MGovernanceTechnologyEstimateFactory> list);

    int updateBatchSelective(List<MGovernanceTechnologyEstimateFactory> list);

    int batchInsert(@Param("list") List<MGovernanceTechnologyEstimateFactory> list);

    List<String> selectNameByAnalyzeLatitude(@Param("tableName") String s, @Param("field") String name,@Param("value")  String value);
}